Bug 502602 - (CVE-2009-1384) CVE-2009-1384 pam_krb5: Password prompt varies for existent and non-existent users
CVE-2009-1384 pam_krb5: Password prompt varies for existent and non-existent ...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
reported=20090518,public=20090527,imp...
: Security
Depends On: 504893 505265
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-26 08:15 EDT by Jan Lieskovsky
Modified: 2010-03-31 02:54 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-31 02:54:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2009-05-26 08:15:19 EDT
A security flaw was found in PAM pam_krb5 module, providing user authentication
based on Kerberos principals. A remote attacker could use this flaw to recognize, if some username/login belongs to set of user accounts,
existing on the system, and subsequently perform dictionary based password
guess attack.
Comment 4 Jan Lieskovsky 2009-05-26 12:08:40 EDT
This issue does NOT affect the versions of the pam_krb5 package, as shipped
with Red Hat Enterprise Linux 3 and 4.

This issue does affect the version of the pam_krb5 package, as shipped
with Red Hat Enterprise Linux 5.
Comment 15 Jan Lieskovsky 2009-05-28 06:03:57 EDT
Official statement from Red Hat (2009/05/28):

Red Hat is aware of this issue and is tracking it via the following bug:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=CVE-2009-1384

This issue did not affect the versions of the pam_krb5 package, as shipped
with Red Hat Enterprise Linux 2.1, 3 or 4.

The Red Hat Security Response Team has rated this issue as having low security
impact. Future pam_krb5 updates in Red Hat Enterprise Linux 5 will address
this flaw.

Explanation:
------------
The vulnerability requires unlikely configuration(s) of the main system
PAM (Pluggable Authentication Modules) configuration file, namely:

  i,  configuration, when pam_krb5.so PAM module is used as the only one   
      authentication policy module, or
  ii, configuration, where pam_krb5.so module is used prior to the
      standard Unix authentication module (pam_unix.so) for handling
      system authentication. 

The occurrence of the vulnerability can be prevented by using the 
default configuration of the system PAM configuration file, as created by 
the 'authconfig' interface, providing configuration of system authentication 
resources.

More information regarding issue severity can be found here:
http://www.redhat.com/security/updates/classification/
Comment 21 Fedora Update System 2009-06-26 22:40:21 EDT
pam_krb5-2.3.5-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2009-06-26 22:48:52 EDT
pam_krb5-2.3.5-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2009-06-26 23:02:22 EDT
pam_krb5-2.3.5-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 24 errata-xmlrpc 2010-03-30 04:33:00 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0258 https://rhn.redhat.com/errata/RHSA-2010-0258.html

Note You need to log in before you can comment on or make changes to this bug.